Bug 155138 - Update MASTER_SITES for games/cowsay, add PGP verify target
Summary: Update MASTER_SITES for games/cowsay, add PGP verify target
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Doug Barton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-28 23:50 UTC by Doug Barton
Modified: 2011-03-04 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.41 KB, patch)
2011-02-28 23:50 UTC, Doug Barton
no flags Details | Diff
patch-cowsay.txt (1.63 KB, patch)
2011-03-02 18:12 UTC, chris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2011-02-28 23:50:08 UTC
	The FTP site doesn't work, so update to the HTTP site per author's
	web page.

	Add the ability to verfiy the PGP signature of the distfile

Fix: Apply the following patch:
How-To-Repeat: 	Try to fetch the distfile via FTP
Comment 1 Edwin Groothuis freebsd_committer 2011-02-28 23:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-28 23:50:22 UTC
Maintainer of games/cowsay,

Please note that PR ports/155138 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155138

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-28 23:50:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 chris 2011-03-01 01:58:32 UTC
On 2/28/2011 5:50 PM, Edwin Groothuis wrote:
> Maintainer of games/cowsay,
>
> Please note that PR ports/155138 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155138
>
Comment 5 chris 2011-03-02 17:46:09 UTC
Hello,

Looking at this I am not happy with this, I will redo said patch.
Comment 6 chris 2011-03-02 17:46:25 UTC
On 3/2/2011 9:37 AM, Chris Petrik wrote:
> On 3/1/2011 12:59 AM, Chris Petrik wrote:
>> On 3/1/2011 12:03 AM, Doug Barton wrote:
>>> Sorry, no message came through. Do you approve the updates? :)
>>>
>>> Doug
>>>
>>>
>>> On 2/28/2011 6:00 PM, Chris Petrik wrote:
>>>> The following reply was made to PR ports/155138; it has been noted 
>>>> by GNATS.
>>>>
>>>> From: Chris Petrik<chris@cpetservices.com>
>>>> To: bug-followup@FreeBSD.org
>>>> Cc:
>>>> Subject: Re: ports/155138: Update MASTER_SITES for games/cowsay, 
>>>> add PGP verify
>>>>   target
>>>> Date: Mon, 28 Feb 2011 19:58:32 -0600
>>>>
>>>>   On 2/28/2011 5:50 PM, Edwin Groothuis wrote:
>>>> >  Maintainer of games/cowsay,
>>>> >
>>>> >  Please note that PR ports/155138 has just been submitted.
>>>> >
>>>> >  If it contains a patch for an upgrade, an enhancement or a bug fix
>>>> >  you agree on, reply to this email stating that you approve the 
>>>> patch
>>>> >  and a committer will take care of it.
>>>> >
>>>> >  The full text of the PR can be found at:
>>>> >       http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155138
>>>> >
>>>>
>>>>
>>>
>>>
>>>
>>>
>> Exactly, i meant yes it fine it's always fine.
> Hello,
>
> Looking at this I am not happy with this, I will redo said patch.
The PGP key is invalid

gpg: Can't check signature: no public key

editing the file in vim just shows random chars ?
Comment 7 chris 2011-03-02 18:12:43 UTC
new patch.
Comment 8 Wesley Shields freebsd_committer 2011-03-03 14:56:06 UTC
Doug,

I've taken over maintainer for this port since Chris decided to give it
up. I took a look at this PR and like the idea (I do the same thing with
devel/git), however there are a couple of issues with your approach.

Chris' last patch is closer to what I think should be done but it still
needs a couple of minor touch-ups. Specifically, the DISTFILES line in
the first block is not needed and the FETCH_DEPENDS line is also not
needed. I do, however, like the idea of putting the verify target behind
a MAINTAINER_MODE check to make it clear that it is to be used by the
maintainer.

Even if all of those things are cleared up there is still the problem
that the signature file is not a valid signature file.

I will be committing the MASTER_SITES update soon but want to leave the
other parts up to you. If you think it's still a good idea to verify the
file we will have to figure out what's up with the signature.

-- WXS
Comment 9 dfilter service freebsd_committer 2011-03-03 14:56:30 UTC
wxs         2011-03-03 14:56:12 UTC

  FreeBSD ports repository

  Modified files:
    games/cowsay         Makefile 
  Log:
  Update MASTER_SITES.
  
  PR:             ports/155138 (partially)
  Submitted by:   dougb@
  
  Revision  Changes    Path
  1.11      +1 -1      ports/games/cowsay/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2011-03-04 20:36:46 UTC
wxs         2011-03-04 20:36:32 UTC

  FreeBSD ports repository

  Modified files:
    games/cowsay         Makefile distinfo 
  Log:
  Add a verify target.
  
  PR:             ports/155138
  Submitted by:   dougb@
  
  Revision  Changes    Path
  1.12      +9 -0      ports/games/cowsay/Makefile
  1.5       +2 -0      ports/games/cowsay/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Wesley Shields freebsd_committer 2011-03-04 20:37:41 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!